	        /*********************************
		 *                               *
		 *   Visual Shell v1.14  09/91   *
		 *                               *
		 *     by Torsten Jrgeleit      *
		 *                               *
		 *          import part          *
		 *                               *
		 *********************************/

IMPORT struct GfxBase		    *GfxBase;        /* opened by ARP startup code */
IMPORT struct IntuitionBase	    *IntuitionBase;  /* opened by ARP startup code */
IMPORT struct DosLibrary	    *DOSBase;        /* opened by MANX startup code */
IMPORT struct ArpBase		    *ArpBase;        /* opened by main.c */
IMPORT struct Process		    *_parent_proc;
IMPORT struct Device		    *con_device;
IMPORT struct ConUnit	 	    *con_unit;
IMPORT struct Window		    *con_window;
IMPORT struct RastPort		    *con_rport;
IMPORT struct FileHandle	    *con_input_fhandle;
IMPORT struct FileHandle	    *con_output_fhandle;
IMPORT struct TextFont		    *con_font;
IMPORT struct Task		    *main_task;
IMPORT struct MsgPort		    *vsh_port;
IMPORT struct CommandLineInterface  *save_cli;
IMPORT struct IOStdReq		    *input_req;
IMPORT struct Interrupt		    interrupt;
IMPORT struct FileRequest	    file_req[2];
IMPORT struct ViewRequest	    view_req;
IMPORT struct HistoryRequest	    history_req;
IMPORT struct TreeRequest	    tree_req;
IMPORT struct FileInfoBlock	    *fib;
IMPORT struct InfoData		    *idata;
IMPORT struct TextAttr		    con_font_attr, topaz80;
IMPORT struct TextFont		    *old_wb_font;
IMPORT struct IntuiText		    gadget_text;
IMPORT struct StringInfo	    gadget_info;
IMPORT struct Gadget		    gadget;
IMPORT struct DateTime		    date_time;
IMPORT struct ConfigEntry	    config_entry[];

IMPORT BYTE   gadget_buffer[], day_buffer[], date_buffer[], time_buffer[];
IMPORT BYTE   *fkey_text[MAX_FKEY_MODES][MAX_FKEYS];
IMPORT USHORT key_table[];
IMPORT UBYTE  special_chars[][8], action_table[], scroll_flag_table[];
IMPORT BYTE   *status_text[], *error_text[];
IMPORT BYTE   *prompt_line[], *about_line[], *help_line[];
IMPORT UBYTE  *font_data, *template_buffer;
IMPORT BYTE   process_name[];
IMPORT BYTE   *cursor_off, *cursor_on, *nil, *star, *empty, *protection_bits;
IMPORT BYTE   *dir_arg[2], *user_fkey_text[], *user_function[];
IMPORT BPTR   con_handle, nil_handle;
IMPORT BYTE   path1_buffer[], path2_buffer[], file1_buffer[], file2_buffer[],
	      line1_buffer[], line2_buffer[], status_fmt[], standard_fmt[],
	      protection_string[];
IMPORT UBYTE  event_mode, action, auto_repeat, active_freq, scroll_flag,
	      show_flag, num_lock, qualifier, enable_abort, wshell_flag,
	      delayed_cd;
IMPORT SHORT  status, status_delay, error_delay;
IMPORT UBYTE  old_bleft, old_btop, old_bright, old_bbottom;
IMPORT USHORT old_left, old_top, old_width, old_height, old_min_width,
	      old_min_height, old_max_width, old_max_height;
IMPORT ULONG  old_flags, old_idcmp_flags;
IMPORT USHORT vsh_left, vsh_top, vsh_width, vsh_height, vsh_cli_lines;
IMPORT UBYTE  vsh_scroll_speed, vsh_keyboard_type, vsh_dump_mode;
IMPORT BYTE   *vsh_config_file, *vsh_editor_name, *vsh_editor_opts;
IMPORT USHORT wb_width, wb_height, wb_line_len, max_line_len,
	      max_dir_name_len, cli_vpos, fkey_dist, fkey_left,
	      last1_answer, last2_answer;
IMPORT char   *compile_date;
